function slice_timing_ui4
  
  global FMRI
  global hwnd
  
  hh = findobj('name','Slice Timing Window');
  h = findobj(hh,'tag','popup1');
  a = get(h,'value');
  if a == 4,
    h = findobj(hh,'tag','edit1');
    b = '';
    b = get(h,'string');
    slice_order = str2num(char(b));
  end
    
  if a == 1,
    slice_order = [];
    for i=1:2:FMRI.dime_z,
      slice_order = [slice_order i];
    end
    for i=2:2:FMRI.dime_z,
      slice_order = [slice_order i];
    end
  end
      
  if a == 2,
    slice_order = [];
    for i=1:FMRI.dime_z,
      slice_order = [slice_order i];
    end 
  end 
  
  if a == 3,
    slice_order = []; 
    for i=FMRI.dime_z:-1:1, 
      slice_order = [slice_order i]; 
    end 
  end 
  
  slice_order 
  
  set(hwnd,'pointer','watch'); 
  FMRI.data = slice_timing(FMRI.data,FMRI.timepoint,slice_order); 
  set(hwnd,'pointer','arrow'); 
  FMRI.processed = [FMRI.processed ':slicetimed']; 
  show_parameters 
  close         